Subject: Re: [PATCH v2] compat: Fix read() of 2GB and more on Mac OS X

From: Johannes Sixt <[email-masked]>
Date: Mon, 19 Aug 2013 10:27:08 +0200

Am 19.08.2013 08:38, schrieb Steffen Prohaska:
> Note that 'git add' exits with 0 even if it prints filtering errors to
> stderr.  The test, therefore, checks stderr.  'git add' should probably
> be changed (sometime in another commit) to exit with nonzero if
> filtering fails.  The test could then be changed to use test_must_fail.

Thanks for this hint. I was not aware of this behavior.

Of course, we do *not* want to use test_must_fail because git add 
generally must not fail for files with more than 2GB. (Architectures with 
a 32bit size_t are a different matter, of course.)

-- Hannes